{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12">
            <h3>Desaparecidos</h3>
        </div>
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-warning card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/family.png') }}"/>
                    </div>
                    <p class="card-category">Todos</p>
                    <h3 class="card-title">{{ result["disappeared"]["total"] }}
                        <small>Total</small>
                    </h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Desaparecidos
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/crying.png') }}"/>
                    </div>
                    <p class="card-category">Crianças</p>
                    <h3 class="card-title">{{ result["disappeared"]["child"] }}</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Desaparecidos
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/woman.png') }}"/>
                    </div>
                    <p class="card-category">Mulheres</p>
                    <h3 class="card-title">{{ result["disappeared"]["gender"]["female"] }}</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Desaparecidos
                    </div>
                </div>
            </div>

        </div>
        <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/man.png') }}"/>
                    </div>
                    <p class="card-category">Homens</p>
                    <h3 class="card-title">{{ result["disappeared"]["gender"]["male"] }}</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Quantidade
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="card card-chart">
                <div class="card-header card-header-warning">
                    <div class="ct-chart" id="years"></div>
                </div>
                <div class="card-body">
                    <h4 class="card-title">Desaparecidos por ano</h4>
                    <p class="card-category">Pessoas desaparecidas por ano no Brasil</p>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <h3>Quero ser encontrado</h3>
        </div>
        <div class="col-lg-4 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-warning card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/family.png') }}"/>
                    </div>
                    <p class="card-category">Todos</p>
                    <h3 class="card-title">{{ result["homeless"]["total"] }}
                        <small>Quantidade</small>
                    </h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Quantidade
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/woman.png') }}"/>
                    </div>
                    <p class="card-category">Mulheres</p>
                    <h3 class="card-title">{{ result["homeless"]["gender"]["female"] }}</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Quantidade
                    </div>
                </div>
            </div>

        </div>
        <div class="col-lg-4 col-md-6 col-sm-6">
            <div class="card card-stats">
                <div class="card-header card-header-success card-header-icon">
                    <div class="card-icon">
                        <img src="{{ url_for('static', filename='images/man.png') }}"/>
                    </div>
                    <p class="card-category">Homens</p>
                    <h3 class="card-title">{{ result["homeless"]["gender"]["male"] }}</h3>
                </div>
                <div class="card-footer">
                    <div class="stats">
                        <i class="material-icons">multiline_chart</i> Quantidade
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var label = []
            var series = []
            {% for year in result["disappeared"]["years"] %}
                label.push("{{ year.year }}")
                series.push(parseInt("{{ year.value }}"))
            {% endfor %}
            var data = {
                labels: label,
                series: [series]
            };
            new Chartist.Bar('#years', data);
        });
    </script>
{% endblock %}